'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var useTypingEffect = function (strings) {
    var _a = React.useState({
        stringIndex: 0,
        characterIndex: 0,
    }), _b = _a[0], stringIndex = _b.stringIndex, characterIndex = _b.characterIndex, setState = _a[1];
    var timeoutId;
    var emulateKeyStroke = function () {
        characterIndex++;
        if (characterIndex === strings[stringIndex].length) {
            characterIndex = 0;
            stringIndex++;
            if (stringIndex === strings.length) {
                stringIndex = 0;
            }
            timeoutId = window.setTimeout(emulateKeyStroke, 100);
        }
        else if (characterIndex === strings[stringIndex].length - 1) {
            timeoutId = window.setTimeout(emulateKeyStroke, 2000);
        }
        else {
            timeoutId = window.setTimeout(emulateKeyStroke, 100);
        }
        setState({
            characterIndex: characterIndex,
            stringIndex: stringIndex
        });
    };
    React.useEffect(function () {
        emulateKeyStroke();
        return function () {
            window.clearInterval(timeoutId);
        };
    }, []);
    var nonBreakingSpace = '\u00A0';
    return (strings[stringIndex]
        .slice(0, characterIndex + 1) || nonBreakingSpace);
};

exports.useTypingEffect = useTypingEffect;
exports.default = useTypingEffect;
//# sourceMappingURL=index.js.map
